Subject: Re: bug#26582: [PATCH] gnu: pcre: Fix Check for Hurd systems.

From: rennes <[email-masked]>
Date: Thu, 20 Apr 2017 21:38:44 -0500

Hello Ludovic,

On 04/20/2017 04:27:29 PM, Ludovic Courtès wrote:

> >> Btw trying to build it with `./pre-inst-env guix build
> >> --target=i586-pc-gnu pcre' fails with
> >>
> >> ** Cannot --enable-pcregrep-libz because zlib.h was not found
> >>
> >> Maybe the inputs should become native-inputs?
> >
> > I moved zlib and readline to 'native-inputs'.
> 
> Are you sure they need to be native inputs?  Both are libraries, so I
> imagine they’re used at run time, not at build time; they should be
> inputs, in this case.
> 

I see the new 'replace `configure' does not detects the inputs, I will  
continue to test!.